package com.rv.home.rv.module.ui.main.home.bean;

import java.io.Serializable;

/**
 * Created :Auser
 * Date: 2019/5/27.
 * Desc:订单请求数据
 */

public class OrderDataBean implements Serializable{


    /**
     * dayNum : 0
     * driverType : 0
     * endAddr : string
     * endCity : 0
     * endCityName : string
     * endCompanyId : 0
     * endTime : 0
     * id : 0
     * modelId : 0
     * myDriverIds : string
     * orderId : 0
     * startAddr : string
     * startCity : 0
     * startCityName : string
     * startCompanyId : 0
     * startTime : 0
     * vehicleId : 0
     */

    private int dayNum;
    private int driverType;
    private String endAddr;
    private int endCity;
    private String endCityName;
    private int endCompanyId;
    private long endTime;
//    private int id;
    private int modelId;
    private String myDriverIds;
//    private int orderId;
    private String startAddr;
    private int startCity;
    private String startCityName;
    private int startCompanyId;
    private long startTime;
//    private int vehicleId;
    private int damageSafe;//是否购买免赔 1--是 0--否
    private int rentFreeDay;//是否使用出租免费天数 1--是 0--否
    private String couponIds;//优惠券ids，逗号分割

    public int getDayNum() {
        return dayNum;
    }

    public void setDayNum(int dayNum) {
        this.dayNum = dayNum;
    }

    public int getDriverType() {
        return driverType;
    }

    public void setDriverType(int driverType) {
        this.driverType = driverType;
    }

    public String getEndAddr() {
        return endAddr;
    }

    public void setEndAddr(String endAddr) {
        this.endAddr = endAddr;
    }

    public int getEndCity() {
        return endCity;
    }

    public void setEndCity(int endCity) {
        this.endCity = endCity;
    }

    public String getEndCityName() {
        return endCityName;
    }

    public void setEndCityName(String endCityName) {
        this.endCityName = endCityName;
    }

    public int getEndCompanyId() {
        return endCompanyId;
    }

    public void setEndCompanyId(int endCompanyId) {
        this.endCompanyId = endCompanyId;
    }

    public long getEndTime() {
        return endTime;
    }

    public void setEndTime(long endTime) {
        this.endTime = endTime;
    }


    public int getModelId() {
        return modelId;
    }

    public void setModelId(int modelId) {
        this.modelId = modelId;
    }

    public String getMyDriverIds() {
        return myDriverIds;
    }

    public void setMyDriverIds(String myDriverIds) {
        this.myDriverIds = myDriverIds;
    }


    public String getStartAddr() {
        return startAddr;
    }

    public void setStartAddr(String startAddr) {
        this.startAddr = startAddr;
    }

    public int getStartCity() {
        return startCity;
    }

    public void setStartCity(int startCity) {
        this.startCity = startCity;
    }

    public String getStartCityName() {
        return startCityName;
    }

    public void setStartCityName(String startCityName) {
        this.startCityName = startCityName;
    }

    public int getStartCompanyId() {
        return startCompanyId;
    }

    public void setStartCompanyId(int startCompanyId) {
        this.startCompanyId = startCompanyId;
    }

    public long getStartTime() {
        return startTime;
    }

    public void setStartTime(long startTime) {
        this.startTime = startTime;
    }

    public int getDamageSafe() {
        return damageSafe;
    }

    public void setDamageSafe(int damageSafe) {
        this.damageSafe = damageSafe;
    }

    public int getRentFreeDay() {
        return rentFreeDay;
    }

    public void setRentFreeDay(int rentFreeDay) {
        this.rentFreeDay = rentFreeDay;
    }

    public String getCouponIds() {
        return couponIds;
    }

    public void setCouponIds(String couponIds) {
        this.couponIds = couponIds;
    }

    @Override
    public String toString() {
        return "OrderDataBean{" +
                "dayNum=" + dayNum +
                ", driverType=" + driverType +
                ", endAddr='" + endAddr + '\'' +
                ", endCity=" + endCity +
                ", endCityName='" + endCityName + '\'' +
                ", endCompanyId=" + endCompanyId +
                ", endTime=" + endTime +
                ", modelId=" + modelId +
                ", myDriverIds='" + myDriverIds + '\'' +
                ", startAddr='" + startAddr + '\'' +
                ", startCity=" + startCity +
                ", startCityName='" + startCityName + '\'' +
                ", startCompanyId=" + startCompanyId +
                ", startTime=" + startTime +
                ", damageSafe=" + damageSafe +
                ", rentFreeDay=" + rentFreeDay +
                ", couponIds='" + couponIds + '\'' +
                '}';
    }
}
